ViennaCL - The Vienna Computing Library: viennacl::linalg::jacobi_precond< MatrixT, is_viennacl > Class Template Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::linalg::jacobi_precond< MatrixT, is_viennacl > Class Template Reference

Jacobi preconditioner class, can be supplied to solve()-routines. Generic version for non-ViennaCL matrices. More...

`#include <jacobi_precond.hpp>`

## Public Member Functions
| jacobi_precond (MatrixT const &mat, jacobi_tag const &)
void | init (MatrixT const &mat)
template<typename VectorT >
void | apply (VectorT &vec) const
| Apply to res = b - Ax, i.e. jacobi applied vec (right hand side),. More...

## Detailed Description

### template<typename MatrixT, bool is_viennacl = detail::row_scaling_for_viennacl<MatrixT>::value>
class viennacl::linalg::jacobi_precond< MatrixT, is_viennacl >

Jacobi preconditioner class, can be supplied to solve()-routines. Generic version for non-ViennaCL matrices.

Examples:
  iterative-custom.cpp, and iterative.cpp.

Definition at line 50 of file jacobi_precond.hpp.

## Constructor & Destructor Documentation

template<typename MatrixT , bool is_viennacl = detail::row_scaling_for_viennacl<MatrixT>::value>

viennacl::linalg::jacobi_precond< MatrixT, is_viennacl >::jacobi_precond | ( | MatrixT const & | mat,
|  | jacobi_tag const & |
| ) |  |
| inline

Definition at line 55 of file jacobi_precond.hpp.

## Member Function Documentation

template<typename MatrixT , bool is_viennacl = detail::row_scaling_for_viennacl<MatrixT>::value>
template<typename VectorT >

void viennacl::linalg::jacobi_precond< MatrixT, is_viennacl >::apply | ( | VectorT & | vec | ) | const
| inline

Apply to res = b - Ax, i.e. jacobi applied vec (right hand side),.

Definition at line 87 of file jacobi_precond.hpp.

template<typename MatrixT , bool is_viennacl = detail::row_scaling_for_viennacl<MatrixT>::value>

void viennacl::linalg::jacobi_precond< MatrixT, is_viennacl >::init | ( | MatrixT const & | mat | ) |
| inline

Definition at line 60 of file jacobi_precond.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/jacobi_precond.hpp